Initiate Transfer API

Send money to a Mobile Money or Bank Account instantly.

Endpoint Information

POST https://api.moolre.com/open/transact/transfer

To test in sandbox, use https://sandbox.moolre.com/open/transact/transfer instead.

Authentication & Headers

Header NameTypeRequiredDescription
X-API-USERstringYesYour Moolre username.
X-API-KEYstringYesYour API Key (Private Key only). (Not required in Sandbox)

Request Parameters

ParameterTypeRequiredDescription
typeintegerYesMust be 1.
channelstringYes1=MTN, 6=Telecel, 7=AT, 2=Instant Bank Transfer.
currencystringYesCurrency code (e.g., GHS).
amountstringYesAmount to transfer.
receiverstringYesRecipient phone or account number.
sublistidstringNoBank ID if channel is Bank Transfer.
externalrefstringYesUnique reference for the transfer.
referencestringNoOptional message/reference.
accountnumberstringYesYour Moolre Account Number.

Response Examples

200 - Success

Transfer request received.

{
  "status": "1",
  "code": "OBGH01",
  "message": [
    "Pay out Successful",
    "Click close to view transactions."
  ],
  "data": {
    "txstatus": 1,
    "receiver": "0246798993",
    "transactionid": "32759150",
    "externalref": "28171451",
    "thirdpartyref": "901733241086",
    "receivername": "YUSIF YA-ADZAGEY",
    "amount": "1",
    "amountfee": "1.01",
    "networkfee": "0.00",
    "fee": "0.01"
  },
  "go": null
}

← Back to AI Documentation Index | View Full API Reference